## NMSettingInfiniband NMSettingInfiniband — Describes connection properties for IP-over-InfiniBand networks |

## Functions

NMSetting * | nm_setting_infiniband_new ()
const char * | nm_setting_infiniband_get_mac_address ()
guint32 | nm_setting_infiniband_get_mtu ()
const char * | nm_setting_infiniband_get_transport_mode ()
int | nm_setting_infiniband_get_p_key ()
const char * | nm_setting_infiniband_get_parent ()
const char * | nm_setting_infiniband_get_virtual_interface_name ()

## Types and Values

#define | NM_SETTING_INFINIBAND_SETTING_NAME
#define | NM_SETTING_INFINIBAND_MAC_ADDRESS
#define | NM_SETTING_INFINIBAND_MTU
#define | NM_SETTING_INFINIBAND_TRANSPORT_MODE
#define | NM_SETTING_INFINIBAND_P_KEY
#define | NM_SETTING_INFINIBAND_PARENT

## Description

The NMSettingInfiniband object is a NMSetting subclass that describes properties necessary for connection to IP-over-InfiniBand networks.

## Functions

### nm_setting_infiniband_new ()

    NMSetting *
    nm_setting_infiniband_new (void);

Creates a new NMSettingInfiniband object with default values.

#### Returns

the new empty NMSettingInfiniband object.

[transfer full]

### nm_setting_infiniband_get_mac_address ()

    const char *
    nm_setting_infiniband_get_mac_address (NMSettingInfiniband *setting);

#### Parameters

setting | the NMSettingInfiniband |

#### Returns

the “mac-address” property of the setting

### nm_setting_infiniband_get_mtu ()

    guint32
    nm_setting_infiniband_get_mtu (NMSettingInfiniband *setting);

#### Parameters

setting | the NMSettingInfiniband |

#### Returns

the “mtu” property of the setting

### nm_setting_infiniband_get_transport_mode ()

    const char *
    nm_setting_infiniband_get_transport_mode
                                   (NMSettingInfiniband *setting);

Returns the transport mode for this device. Either 'datagram' or 'connected'.

#### Parameters

setting | the NMSettingInfiniband |

#### Returns

the IPoIB transport mode

### nm_setting_infiniband_get_p_key ()

    int
    nm_setting_infiniband_get_p_key (NMSettingInfiniband *setting);

Returns the P_Key to use for this device. A value of -1 means to use the default P_Key (aka "the P_Key at index 0"). Otherwise, it is a 16-bit unsigned integer.

#### Parameters

setting | the NMSettingInfiniband |

#### Returns

the IPoIB P_Key

### nm_setting_infiniband_get_parent ()

    const char *
    nm_setting_infiniband_get_parent (NMSettingInfiniband *setting);

Returns the parent interface name for this device, if set.

#### Parameters

setting | the NMSettingInfiniband |

#### Returns

the parent interface name

### nm_setting_infiniband_get_virtual_interface_name ()

    const char *
    nm_setting_infiniband_get_virtual_interface_name
                                   (NMSettingInfiniband *setting);

Returns the interface name created by combining “parent” and “p-key”. (If either property is unset, this will return `NULL`.)

#### Parameters

setting | the NMSettingInfiniband |

#### Returns

the interface name, or `NULL`

## Types and Values

### NM_SETTING_INFINIBAND_SETTING_NAME

    #define NM_SETTING_INFINIBAND_SETTING_NAME "infiniband"

### NM_SETTING_INFINIBAND_MAC_ADDRESS

    #define NM_SETTING_INFINIBAND_MAC_ADDRESS    "mac-address"

### NM_SETTING_INFINIBAND_MTU

    #define NM_SETTING_INFINIBAND_MTU            "mtu"

### NM_SETTING_INFINIBAND_TRANSPORT_MODE

    #define NM_SETTING_INFINIBAND_TRANSPORT_MODE "transport-mode"

### NM_SETTING_INFINIBAND_P_KEY

    #define NM_SETTING_INFINIBAND_P_KEY          "p-key"

### NM_SETTING_INFINIBAND_PARENT

    #define NM_SETTING_INFINIBAND_PARENT         "parent"